Package org.apache.lucene.analysis.pt

# Class RSLPStemmerBase.Step

java.lang.Object
org.apache.lucene.analysis.pt.RSLPStemmerBase.Step

Enclosing class:
  `RSLPStemmerBase`

protected static class RSLPStemmerBase.Step extends Object
A step containing a list of rules.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final int`
  `min`
  `protected final String`
  `name`
  `protected final RSLPStemmerBase.Rule[]`
  `rules`
  `protected final char[][]`
  `suffixes`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Step(String name, RSLPStemmerBase.Rule[] rules, int min, String[] suffixes)`
  Create a new step

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `apply(char[] s, int len)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected final String name

  - ### rules

    protected final RSLPStemmerBase.Rule[] rules

  - ### min

    protected final int min

  - ### suffixes

    protected final char[][] suffixes

- ## Constructor Details

  - ### Step

    public Step(String name, RSLPStemmerBase.Rule[] rules, int min, String[] suffixes)
    Create a new step
    Parameters:
      `name` - Step's name.
      `rules` - an ordered list of rules.
      `min` - minimum word size. if this is 0 it is automatically calculated.
      `suffixes` - optional list of conditional suffixes. may be null.

- ## Method Details

  - ### apply

    public int apply(char[] s, int len)
    Returns:
      new valid length of the string after applying the entire step.